rte_table_action_stats_counters(3)

NAME
rte_table_action_stats_counters

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint64_t n_packets
uint64_t n_bytes
int n_packets_valid
int n_bytes_valid

Detailed Description

Stats action counters (per table rule).

Definition at line 682 of file rte_table_action.h.

Field Documentation

  uint64_t n_packets
Number of packets. Valid only when n_packets_valid is non-zero.

Definition at line 684 of file rte_table_action.h.

  uint64_t n_bytes
Number of bytes. Valid only when n_bytes_valid is non-zero.

Definition at line 687 of file rte_table_action.h.

  int n_packets_valid
When non-zero, the n_packets field is valid, otherwise invalid.

Definition at line 690 of file rte_table_action.h.

  int n_bytes_valid
When non-zero, the n_bytes field is valid, otherwise invalid.

Definition at line 693 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.